GNU bug report logs - #13656
24.2; interactive calls with defadvice

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Uday S Reddy <usr.vm.rocks@HIDDEN>; Keywords: confirmed; merged with #11747, #15476; dated Fri, 8 Feb 2013 20:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 11747 13656 15476. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 11747 13656. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13656 <at> debbugs.gnu.org:


Received: (at 13656) by debbugs.gnu.org; 8 Feb 2013 20:48:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 15:48:31 2013
Received: from localhost ([127.0.0.1]:44758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3us3-0001qG-83
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:48:31 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:55703)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1U3us1-0001qA-Qa
	for 13656 <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:48:30 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1U3urw-00083j-3A; Fri, 08 Feb 2013 15:48:24 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Uday S Reddy <usr.vm.rocks@HIDDEN>
Subject: Re: bug#13656: 24.2; interactive calls with defadvice
References: <20757.25022.685000.332982@HIDDEN>
X-Spook: colonel 9/11 e-bomb Uzi passwd Iran Geraldton Al-Qaeda
X-Ran: zRK9#[}eq1:%%Ba*.B"5*[skd26(*PfH7NE<TV:/?|WnOMy,_I=S]9Lvh@y"O_DYE*gSf>
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 08 Feb 2013 15:48:23 -0500
In-Reply-To: <20757.25022.685000.332982@HIDDEN> (Uday S. Reddy's
	message of "Fri, 8 Feb 2013 20:36:14 +0000")
Message-ID: <f938x65y7c.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13656
Cc: 13656 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)


Dupe of

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11747




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13656; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Feb 2013 20:36:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 15:36:43 2013
Received: from localhost ([127.0.0.1]:44741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3ugc-0000fg-C3
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:36:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54954)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <U.S.Reddy@HIDDEN>) id 1U3ugZ-0000fY-2p
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:36:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <U.S.Reddy@HIDDEN>) id 1U3ugR-0005Q4-Ec
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:36:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-104.2 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_MED, RP_MATCHES_RCVD,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:52079)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <U.S.Reddy@HIDDEN>) id 1U3ugR-0005Pw-BC
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:36:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38012)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <U.S.Reddy@HIDDEN>) id 1U3ugN-0002N6-72
	for bug-gnu-emacs@HIDDEN; Fri, 08 Feb 2013 15:36:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <U.S.Reddy@HIDDEN>) id 1U3ugI-0005NR-O9
	for bug-gnu-emacs@HIDDEN; Fri, 08 Feb 2013 15:36:27 -0500
Received: from sun61.bham.ac.uk ([147.188.128.150]:44714)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <U.S.Reddy@HIDDEN>) id 1U3ugI-0005Ls-DZ
	for bug-gnu-emacs@HIDDEN; Fri, 08 Feb 2013 15:36:22 -0500
Received: from [147.188.128.127] (helo=bham.ac.uk)
	by sun61.bham.ac.uk with esmtp (Exim 4.72)
	(envelope-from <U.S.Reddy@HIDDEN>)
	id 1U3ugE-0000ei-P3; Fri, 08 Feb 2013 20:36:18 +0000
Received: from mx1.cs.bham.ac.uk ([147.188.192.53])
	by bham.ac.uk (envelope-from <U.S.Reddy@HIDDEN>)
	with esmtp (Exim 4.72) id 1U3ugE-0001ol-F1 
	using interface smart1.bham.ac.uk; Fri, 08 Feb 2013 20:36:18 +0000
Received: from acws-0068.cs.bham.ac.uk ([147.188.194.56])
	by mx1.cs.bham.ac.uk with esmtp (Exim 4.51)
	id 1U3ug9-0005RP-Gp; Fri, 08 Feb 2013 20:36:13 +0000
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <20757.25022.685000.332982@HIDDEN>
Date: Fri, 8 Feb 2013 20:36:14 +0000
From: Uday S Reddy <usr.vm.rocks@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2; interactive calls with defadvice
X-Mailer: VM undefined under 24.2.1 (i386-mingw-nt5.1.2600)
X-detected-operating-system: by eggs.gnu.org: Solaris 10
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
Cc: usr.vm.rocks@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I would expect that the following code would print

  before
  test
  after

However, it only prints "before" and "after", no "test".  So, it seems that
the defadvice eats away the interactivity of the function call.

Is this a bug or a feature?

Cheers,
Uday

--------

(defun test ()
  (interactive)
  (when (called-interactively-p 'any)
    (message "test")
    (sit-for 1)))

(defadvice test (around test-advice activate)
  (when (called-interactively-p 'any) (message "before") (sit-for 1))
  ad-do-it
  (when (called-interactively-p 'any) (message "after") (sit-for 1)))





In GNU Emacs 24.2.1 (i386-mingw-nt5.1.2600)
 of 2012-08-29 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  outline-minor-mode: t
  savehist-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
. e l c <return> C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-f C-f C-f C-f C-f C-f C-f C-f C-f v m - C-n C-n C-n 
C-n C-n C-b C-b C-b v m - C-n C-n C-b C-b C-b C-b C-f 
v m - C-x C-s M-x b y t e - c o m SPC SPC <return> 
<up> <return> M-x b u y t <backspace> <backspace> <backspace> 
y t e - c 0 m <backspace> <backspace> o m SPC SPC <return> 
<up> <up> <return> M-x l o a d - f i l e <return> <up> 
<up> <return> M-x t e s t <return> C-p C-p C-p C-p 
C-p C-a C-x q s i t - f o r SPC 2 <return> s i t - 
f o r SPC 1 <return> SPC SPC SPC C-p C-p C-p C-p C-p 
C-p C-p C-a C-x q v m - i n t e a c t i v e - p <return> 
c a l l e d - i n t e r a c t i v e l y - p <return> 
C-x <escape> <escape> C-g C-x q v m - i n t e r a c 
t i v e - p <return> c a l l e d - i n t e r a c t 
v <backspace> i v e l y - p SPC ' a n y <return> SPC 
SPC SPC C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-a C-SPC C-n C-n C-n C-n C-n C-n 
C-n C-w C-x C-s C-SPC C-x . C-x C-k C-x m C-x k <return> 
M-x r e p o r t - e m a c s - SPC b SPC <return>

Recent messages:
Mark set
Replaced 3 occurrences
Mark set
Saving file d:/Home/udr/tmp/test.el...
Wrote d:/Home/udr/tmp/test.el
Mark activated
Parsing d:/Home/udr/.mailrc...
Parsing y:/dotfiles/.mailrc... done
Parsing d:/Home/udr/.mailrc... done
Making completion list...

Load-path shadows:
y:/gnu/vm/trunk/emacs24/lisp/vm-vcard hides d:/gnu/emacs-24.2/../site-lisp/vm-vcard
y:/gnu/vm/trunk/emacs24/lisp/vm-serial hides d:/gnu/emacs-24.2/../site-lisp/vm-serial
y:/gnu/vm/trunk/emacs24/lisp/vm-ps-print hides d:/gnu/emacs-24.2/../site-lisp/vm-ps-print
y:/gnu/vm/trunk/emacs24/lisp/vm-grepmail hides d:/gnu/emacs-24.2/../site-lisp/vm-grepmail
y:/gnu/vm/trunk/emacs24/lisp/vm-biff hides d:/gnu/emacs-24.2/../site-lisp/vm-biff
y:/gnu/vm/trunk/emacs24/lisp/vcard hides d:/gnu/emacs-24.2/../site-lisp/vcard
d:/gnu/emacs-24.2/../site-lisp/longlines hides d:/gnu/emacs-24.2/lisp/longlines
d:/gnu/emacs-24.2/../site-lisp/undigest hides d:/gnu/emacs-24.2/lisp/mail/undigest

Features:
(shadow emacsbug message format-spec mml mml-sec mm-decode mm-bodies
mm-encode gmm-utils mailheader mailalias newcomment compile comint
ansi-color bbdb-hooks mail-parse rfc2231 w3m-form w3m browse-url doc-view
jka-compr dired-x mydired dired image-mode w3m-hist w3m-fb bookmark-w3m
w3m-ems wid-edit w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util vm-w3m
help-mode view utf-7 network-stream starttls tls u-vm-color my-vm vc-bzr
etags ring vm-ps-print vm-rfaddons vm-message vm-macro bbdb-vm vm-autoload
bbdb-snarf mail-extr rfc822 vm misearch multi-isearch ind-util info easymenu
outline-magic noutline outline easy-mmode scala-mode2 scala-mode2-map
scala-mode2-fontlock scala-mode2-indent scala-mode2-paragraph
scala-mode2-syntax scala-mode2-lib bbdb-autoloads bbdb-com mailabbrev bbdb
vm-digest vm-reply vm-save vm-virtual vm-summary-faces vm-delete vm-pop utf7
vm-imap vm-sort vm-undo vm-mime vm-page vm-motion vm-thread vm-mouse
vm-toolbar vm-menu tapestry vm-window vm-crypto vm-summary vm-folder
vm-minibuf vm-misc timezone vm-pcrisis vm-autoloads vm-version vm-vars
myautopair autopair warnings cl savehist session tex-site movement
natural-space NatSpeak sendmail rfc2047 rfc2045 ietf-drums mail-utils
auth-source eieio byte-opt bytecomp byte-compile cconv macroexp assoc
gnus-util mm-util mail-prsvr password-cache epa-file epa epg epg-config
regexp-opt paren echistory chistory ehelp electric derived advice help-fns
advice-preload edmacro kmacro time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar
dnd fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay sha1
md5 base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)




Acknowledgement sent to Uday S Reddy <usr.vm.rocks@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13656; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Apr 2017 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.